Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Class MethodElement.Key

    java.lang.Object
      org.openide.src.ConstructorElement.Key
          org.openide.src.MethodElement.Key

Enclosing class:
  MethodElement

    public static final class MethodElement.Key

extends ConstructorElement.Key

A key for method elements, for use in hash tables etc.

Constructor Summary
`MethodElement.Key(Identifier name, Type[] params)` Constructs a key by name and parameters.
`MethodElement.Key(Identifier name, Type[] params, Type returnType)` Constructs a key that checks also a return type of the method.
`MethodElement.Key(MethodElement me)` Constructs a key for a method.
`MethodElement.Key(MethodElement me, boolean checkReturn)` Constructs a key that checks for method's name, its argument types and optionally for a return type, if checkReturn is true.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodElement.Key

    public MethodElement.Key(Identifier name,
                             Type[] params)

  Constructs a key by name and parameters.

  Parameters:
    `name` - the method name
    `params` - the method's parameters

### MethodElement.Key

    public MethodElement.Key(Identifier name,
                             Type[] params,
                             Type returnType)

  Constructs a key that checks also a return type of the method. Methods with different return types are considered to be different although they have the same name and parameter types.

  Parameters:
    `name` - name of the method
    `params` - types of method's arguments
    `returnType` - return type for the method; if null, the key behaves like it was constructed using `MethodElement.Key(Identifier, Type[])`

### MethodElement.Key

    public MethodElement.Key(MethodElement me)

  Constructs a key for a method. Does not hold any reference to the element.

  Parameters:
    `me` - the method element

### MethodElement.Key

    public MethodElement.Key(MethodElement me,
                             boolean checkReturn)

  Constructs a key that checks for method's name, its argument types and optionally for a return type, if checkReturn is true.

  Parameters:
    `me` - method to construct the key for
    `checkReturn` - if true, the key contains and also checks the retunr type.

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ConstructorElement.Key`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ConstructorElement.Key`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.